<?php
namespace Incoviba;

use \Model;

class TipoAgente extends Model {
  public static $_table = 'tipo_agente';

  protected $agente_tipos;
  public function agente_tipos() {
    if ($this->agente_tipos === null) {
      $this->agente_tipos = $this->has_many(AgenteTipo::class, 'tipo')->find_many();
    }
    return $this->agente_tipos;
  }
}
